%undefine __libtoolize
%define qtdir /usr/lib/qt3

Name: digikam
Version: 0.6.2
Release: alt1

Group: Graphics
Summary: A Photo Management Application for KDE
License: GPL
URL: http://digikam.sourceforge.net/

Provides: digikamplugins = %version-%release
Provides: digikam-plugins = %version-%release

Source: %name-%version.tar.bz2
Source1: %{name}plugins-%version.tar.bz2
Patch1: 0.6.2-flags.patch
#
Patch4: 0.6.1-broken-doc.patch

# Automatically added by buildreq on Wed May 12 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ glib2 imlib-devel kde-settings kdelibs-devel kdesdk-misc libGLU-devel libarts-devel libexif-devel libgphoto2-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel libtiff-devel libungif-devel pkgconfig qt3-designer xml-utils zlib-devel
BuildRequires: XFree86-devel XFree86-libs fontconfig
BuildRequires: freetype2 gcc-c++ glib2 imlib-devel kdesdk-misc libGLU-devel
BuildRequires: libarts-devel libexif-devel libgphoto2-devel libjpeg-devel
BuildRequires: libpng-devel libqt3-devel libstdc++-devel libtiff-devel
BuildRequires: libungif-devel pkgconfig xml-utils zlib-devel
BuildRequires: kdelibs-devel-cxx = %__gcc_version_base
# hack for apt in hasher
BuildRequires: kdelibs > 0.0.1 kdelibs-devel > 0.0.1

%description
Digikam is a KDE application which acts as a frontend to gphoto2 for
communicating with your digital camera and download pictures from
it.

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Requires: %name = %version-%release

%description devel
Development files for %name

%prep
%setup -q -a1 -n digikam
%patch1 -p1
#
%patch4 -p1
pushd digikamplugins*
%patch1 -p1
popd

subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
pushd digikamplugins*
subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
popd

rm -rf autom4te.cache
make -f admin/Makefile.common cvs
pushd digikamplugins*
rm -rf autom4te.cache
make -f admin/Makefile.common cvs
popd

%build
rm -f interfaces/digikam; ln -s ../interfaces interfaces/digikam
export QTDIR=%qtdir
export KDEDIR=%prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export USER_INCLUDES=-I$PWD/interfaces/ LDFLAGS="-L$PWD/digikam/"
%configure \
	--enable-shared \
        --disable-static \
        --disable-debug \
	--disable-rpath

pushd digikamplugins*
%configure \
	--enable-shared \
        --disable-static \
        --disable-debug \
	--disable-rpath
popd

%make_build
pushd digikamplugins*
%make_build
popd

%install
%make DESTDIR=%buildroot install
pushd digikamplugins*
%make DESTDIR=%buildroot install
popd

install -d $RPM_BUILD_ROOT%_menudir
kdedesktop2mdkmenu.pl %name Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/digikam.desktop %buildroot/%_menudir/%name

#(cd $RPM_BUILD_ROOT
#mkdir -p .%_menudir
#cat > .%_menudir/%name <<EOF
#?package(%name): \
#command="%_bindir/digikam" \
#title="Digikam" \
#longtitle="GPhoto2 KDE3 frontend" \
#needs="x11" \
#section="Multimedia/Graphics" \
#icon="video_section.png"
#EOF
#)

>%name.lang
for n in %name digikamplugin_acquireimages digikamplugin_batchprocessimages \
digikamplugin_calendar digikamplugin_cdarchiving digikamplugin_commentseditor \
digikamplugin_findimages digikamplugin_gammacorrection digikamplugin_imagesgallery \
digikamplugin_jpeglossless digikamplugin_miscsoperations digikamplugin_mpegencoder \
digikamplugin_printwizard digikamplugin_rawconverter digikamplugin_sendimages \
digikamplugin_slideshow
do
%find_lang --append --output=%name.lang $n
done

%post
%post_ldconfig
%update_menus

%postun
%postun_ldconfig
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog README TODO
%_man1dir/digikam*
%doc %_datadir/doc/HTML/en/%name
%lang(da) %doc %_datadir/doc/HTML/da/%name
%lang(de) %doc %_datadir/doc/HTML/de/%name
%lang(es) %doc %_datadir/doc/HTML/es/%name
%lang(fr) %doc %_datadir/doc/HTML/fr/%name

%_bindir/*
%_libdir/libdigikam.so*
%_libdir/kde3/kio_digikamthumbnail.*
%_datadir/apps/%name/
%_datadir/apps/digikamcameraclient/
%_datadir/services/digikamthumbnail.protocol
%_datadir/servicetypes/digikamplugin.desktop
%_iconsdir/*/*/*/*.png
%_datadir/applnk/Graphics/digikam.desktop
%_menudir/*

%_libdir/kde3/digikamplugin_*
%_datadir/services/digikamplugin_*
%_man1dir/images2mpg.*

%files devel
%_includedir/digikam/

%changelog
* Tue Jul 06 2004 Sergey V Turchin <zerg at altlinux dot org> 0.6.2-alt1
- new version

* Wed May 12 2004 Sergey V Turchin <zerg at altlinux dot org> 0.6.1-alt1
- new version

* Mon Mar 22 2004 Sergey V Turchin <zerg at altlinux dot org> 0.6-alt1
- new version

* Tue Sep 16 2003 Sergey V Turchin <zerg at altlinux dot org> 0.5.1-alt4
- rebuild with new libexif

* Thu Apr 03 2003 Sergey V Turchin <zerg@altlinux.ru> 0.5.1-alt3
- rebuild with new libexif

* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 0.5.1-alt2
- rebuild with new gphoto2 && KDE3.1

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 0.5.1-alt1
- build for ALT

* Fri Aug 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-4mdk
- from Xavier Granier <xavier.granier@laposte.net> :
	- Move menu to Multimedia/Graphics
	- add BuildRequires:            libexif7-devel

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-3mdk
- add in-spec-menu

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- adjust buildrequires

* Wed Jul 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- from Gilles CAULIER <caulier.gilles@free.fr> :
	- Update release 0.5.0 : KDE3 port. Update spec file.

* Fri Jul 12 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.4.1-2mdk
- Fix some bugs on 'spec' file

* Mon Jul 08 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.4.1-1mdk
- Original release
